Bug 1265981 - DHT: Rebalance status is not showing information about other nodes in the cluster
DHT: Rebalance status is not showing information about other nodes in the clu...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
Anoop
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 04:57 EDT by RajeshReddy
Modified: 2016-09-17 10:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 13:05:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-09-24 04:57:21 EDT
Description of problem:
====================
DHT: Rebalance status is not showing information about other nodes in the cluster 

Version-Release number of selected component (if applicable):
==============
glusterfs-server-3.7.1-16


How reproducible:


Steps to Reproduce:
============
1.In 4 node cluster, create 3x3 volume and mount it on client using FUSE 
2.After populating data on the mount, run rebalance 
3.

Actual results:
=============
on one node gluster vol rebalance status shows information about all three nodes and on other two nodes rebalance status is not showing information about all three nodes 


Expected results:
===========
Status should show status of all three nodes on all nodes 


Additional info:
============

[root@rhs-client21 scripts]# gluster vol rebalance dht_replica status 
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost             3721        40.2MB         19574             0           313          in progress           54956.00
     rhs-client39.lab.eng.blr.redhat.com                8        0Bytes         18182             0          5391          in progress           54953.00
      rhs-client9.lab.eng.blr.redhat.com                0        0Bytes          6660             0             0            completed             439.00
volume rebalance: dht_replica: success: 

===============
[root@rhs-client39 ~]#  gluster vol rebalance dht_replica status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost                8        0Bytes         18182             0          5391          in progress           54990.00
      rhs-client9.lab.eng.blr.redhat.com                0        0Bytes          6660             0             0            completed             439.00
volume rebalance: dht_replica: success: 

===============
[root@rhs-client9 glusterfs]# gluster vol rebalance dht_replica status 
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost                0        0Bytes          6660             0             0            completed             439.00
volume rebalance: dht_replica: success: 

===============
[root@rhs-client9 glusterfs]# gluster vol status dht_replica 
Status of volume: dht_replica
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick rhs-client21.lab.eng.blr.redhat.com:/
rhs/brick1/dht_replica                      N/A       N/A        N       N/A  
Brick rhs-client9.lab.eng.blr.redhat.com:/r
hs/brick1/dht_replica                       49220     0          Y       21122
Brick rhs-client39.lab.eng.blr.redhat.com:/
rhs/brick1/dht_replica                      49214     0          Y       11142
Brick rhs-client21.lab.eng.blr.redhat.com:/
rhs/brick3/dht_replica                      N/A       N/A        N       N/A  
Brick rhs-client9.lab.eng.blr.redhat.com:/r
hs/brick3/dht_replica                       49222     0          Y       21131
Brick rhs-client39.lab.eng.blr.redhat.com:/
rhs/brick3/dht_replica                      49216     0          Y       11150
Brick rhs-client21.lab.eng.blr.redhat.com:/
rhs/brick4/dht_replica                      49155     0          Y       23844
Brick rhs-client39.lab.eng.blr.redhat.com:/
rhs/brick4/dht_replica                      49217     0          Y       11157
Brick rhs-client9.lab.eng.blr.redhat.com:/r
hs/brick4/dht_replica                       49223     0          Y       21138
NFS Server on localhost                     N/A       N/A        N       N/A  
Self-heal Daemon on localhost               N/A       N/A        Y       31471
NFS Server on rhs-client21.lab.eng.blr.redh
at.com                                      N/A       N/A        N       N/A  
Self-heal Daemon on rhs-client21.lab.eng.bl
r.redhat.com                                N/A       N/A        Y       23872
NFS Server on rhs-client39.lab.eng.blr.redh
at.com                                      N/A       N/A        N       N/A  
Self-heal Daemon on rhs-client39.lab.eng.bl
r.redhat.com                                N/A       N/A        Y       19548
 
Task Status of Volume dht_replica
------------------------------------------------------------------------------
Task                 : Rebalance           
ID                   : a49f9978-a54d-47cd-bf29-2294e2567880
Status               : in progress

Note You need to log in before you can comment on or make changes to this bug.